const logger = require('@pubsweet/logger')
const FileModel = require('../xpub-model/entities/file/data-access')

module.exports.createTaggersFiles = async function createTaggersFiles(
  filesArr,
) {
  for (let i = 0; i < filesArr.length; i += 1) {
    /* eslint-disable no-await-in-loop */
    const filedb = await new FileModel(filesArr[i]).save({
      insertMissing: true,
    })
    logger.info(filedb)
  }
}

module.exports.upsertFileUrl = async function upsertFileUrl(
  filesArr,
  manuscriptId,
) {
  const existingFiles = await FileModel.selectByManIdConvertedFiles(
    manuscriptId,
  )
  const fileTypesArr = ['tempHTML', 'PMCfinal']

  for (let i = 0; i < fileTypesArr.length; i += 1) {
    /* eslint-disable no-await-in-loop */
    const newFile = filesArr.find(file => file.type === fileTypesArr[i])
    const existingFile = existingFiles.find(
      file => file.type === fileTypesArr[i],
    )
    if (existingFile) {
      const filedb = await FileModel.updateFileUrl(existingFile.id, newFile.url)
      logger.info(filedb)
    } else {
      const filedb = await new FileModel(newFile).save({
        insertMissing: true,
      })
      logger.info(filedb)
    }
  }
}
