import { login, entry, create } from './pageObjects'
import { startServer, setup } from './helpers/setup'

let testContext
fixture('Valid user')
  .before(startServer)
  .beforeEach(async () => {
    testContext = await setup()
  })

test('Signup journey', async t => {
  const user = testContext.userData

  // log in and start to submit a new manuscript
  await login.doLogin(user.username, user.password).click(entry.submit)

  const ops = []
  for (let i = 0; i < 2; i += 1) {
    ops.push(
      t
        .selectText(create.input)
        .pressKey('delete')
        .typeText(create.input, 'blood')
        .click(create.search)
        .expect(create.list.childElementCount)
        .gt(1),
    )
  }
  await Promise.all(ops)
})
